package com.ippon.osgi.hello;

import static com.ippon.osgi.util.LogUtil.myLog;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

public class HelloWorldSingleton implements InitializingBean, DisposableBean {
	
	public HelloWorldSingleton() {
	}

	@Override
	public void afterPropertiesSet() throws Exception {
		myLog("HelloWorldSingleton 1.2 (@"+Integer.toHexString(hashCode())+") says Hello World");
	}

	@Override
	public void destroy() throws Exception {
		myLog("HelloWorldSingleton 1.2 (@"+Integer.toHexString(hashCode())+") destroyed by Spring");		
	}
	
}
