package com.ippon.osgi;

import java.io.FileWriter;
import java.io.IOException;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	@Override
	public void start(BundleContext arg0) throws Exception {
		myLog("Activator (@"+Integer.toHexString(hashCode())+") says Hello World !");
	}

	@Override
	public void stop(BundleContext arg0) throws Exception {
		myLog("Activator (@"+Integer.toHexString(hashCode())+") says GoodBye !");
	}
	
	public static void myLog(String str) {
		FileWriter writer;
		try {
			writer = new FileWriter("Osgi-Demo.log", true);
			writer.write(str+"\n");
			writer.close();
		} catch (IOException e) {
			System.err.println("Error writing log : " + str);
		}
	}

}
